#include <reg52.h>
#include <intrins.h>
#include "inc.h"

static void shortdelay()

{
  int i;
  for(i = 10; i > 0; i--);
}


static void longdelay()

{
  int i;
  for(i = 100; i > 0; i--);
}
int main()
{
//P1 跑马灯
//P0 选位 低电平亮
//P2 码		低电平亮

  unsigned char var1 = 0xfe;
  while(1)
    {	P0=0x00;
      var1 = _crol_(var1, 1);
      P1 = var1;
			
			P2=	 var1;
//			longdelay();
//		P2=0XFF;
      delay(2000);
//    P2 = 0x00;

    }

}
